## python-networkx 1.9+dfsg1

=== debian/changelog ===
python-networkx (1.9+dfsg1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (Closes: #750233).
  * Ran wrap-and-sort.
  * debian/copyright in parseable format 1.0.
  * Added extend-diff-ignore = "^[^/]*[.]egg-info/" in d/source/options, and
    removed the clean of the egg-info folder.
  * Refreshed/rebased 10_doc_relocation, 20_example_dirs_remove and
    30_use_local_objects.inv patches.
  * Removed 50_force_ordering_in_dict_to_numpy_array_functions.patch
    55_fixups_to_numpy_array_functions_patch.patch
    60_fix_tests_failure_due_to_py3.3_hash_randomization.patch applied
    upstream.
  * debian/control: removed python-support and added dh-python as build-dep.
  * Added python-3.4.patch (comes from the Ubuntu package).
  * Removed 40_no_setuptools_in_requires.txt (there's no setup_egg.py anymore
    in upstream source code).
  * Also cleans networkx/version.py, which is generated.
  * Also cleans test.*, doc/source/templates/gallery.html and fontList.cache.
  * Added do-not-use-sphinx_rtd_theme.patch.
  * debian/rules: do not use setup_egg.py, it's gone from upstream source.
  * Move all the doc generation stuff into the override_dh_sphinxdoc.
  * Removed obsolete XS-Python-Version: >= 2.6 X-Python3-Version: >= 3.2.
  * Adds using-local-mathjax.js.patch to avoid privacy breach in the doc.
  * Added missing --with python2.
  * Added debian/rules get-orig-src target to generate the orig.tar.xz file.
  * Added missing build-depends: python-decorator and python-numpydoc (needed
    for building docs).
  * Fixed watch file to handle the +dfsg1 mangling.

 -- Thomas Goirand <zigo@debian.org>  Sun, 22 Jun 2014 07:11:42 +0000

python-networkx (1.8.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
    - added decorator copyright notice
  * debian/patches/*
    - refreshed patches
  * debian/patch/{50, 55, 60}*
    - backport patches
  * debian/control
    - bump Standards-Version to 3.9.5 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jan 2014 12:26:47 +0100
