=== debian/control ===
Source: python-networkx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: dh-python,
                     dvipng,
                     python-all (>= 2.3.5-11),
                     python-decorator (>= 3.4.0),
                     python-matplotlib,
                     python-nose (>= 0.10.1),
                     python-numpy,
                     python-numpydoc,
                     python-pygraphviz,
                     python-scipy,
                     python-setuptools (>= 0.6a9),
                     python-sphinx (>= 1.0.7+dfsg),
                     python3-all,
                     python3-nose,
                     python3-scipy,
                     python3-setuptools,
                     texlive-binaries,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     zip
Standards-Version: 3.9.5
Homepage: http://networkx.lanl.gov/
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-networkx/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-networkx/trunk/

Package: python-networkx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Recommends: python-matplotlib,
            python-numpy,
            python-pkg-resources,
            python-pygraphviz | python-pydot,
            python-scipy,
            python-yaml
Description: tool to create, manipulate and study complex networks
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.

Package: python3-networkx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Recommends: python3-numpy, python3-pkg-resources, python3-scipy, python3-yaml
Description: tool to create, manipulate and study complex networks (Python3)
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains the Python 3 version of NetworkX.

Package: python-networkx-doc
Section: doc
Architecture: all
Depends: libjs-mathjax, ${misc:Depends}, ${sphinxdoc:Depends}
Description: tool to create, manipulate and study complex networks - documentation
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains documentation for NetworkX.
