## python-networkx 1.11

=== debian/changelog ===
python-networkx (1.11-1ubuntu3) bionic; urgency=medium

  * d/control: Add python(3)-pydotplus to Build-Depends and Suggests
    (LP: #1815126).

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 06 Feb 2019 15:15:38 -0500

python-networkx (1.11-1ubuntu2) bionic; urgency=medium

  * python3-networkx: Depend on python3-lib2to3. Closes: #896212.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Apr 2018 09:39:13 +0200

python-networkx (1.11-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build the -doc package; too many dependencies in universe.
    - Lower Recommends to Suggests for some universe packages.
    - Build-depend on python3-decorator.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 21 Mar 2016 20:52:54 +0100

python-networkx (1.11-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 31 Jan 2016 11:16:00 +0000

python-networkx (1.11~rc2-1) unstable; urgency=medium

  * New upstream release candidate
  * debian/copyright
    - update packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 28 Jan 2016 19:52:06 +0000

python-networkx (1.11~rc1-1ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Don't build the -doc package; too many dependencies in universe.
    - Lower Recommends to Suggests for some universe packages.
  * Build-depend on python3-decorator.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Jan 2016 11:41:11 +0100

python-networkx (1.11~rc1-1) unstable; urgency=medium

  [ Thomas Goirand ]
  * Removed the exclude and add python-pydot as build-depends-indep.
  * Added python3-matplotlib, python3-numpy, python3-pygraphviz as
    build-depends-indep as well.

  [ Sandro Tosi ]
  * New upstream release candidate; Closes: #801880
  * debian/control
    - suggest the -doc pkg in the module pkgs; Closes: #807126
  * debian/copyright
    - extend packaging copyright years
    - drop BSD-style, not used
    - move the general copyright notice on top, helps with lintian
  * debian/README.source
    - removed, outdated
  * debian/*.inv
    - update intersphinx mapping files
  * debian/rules
    - dont fail if there are errors in the tests

 -- Sandro Tosi <morph@debian.org>  Sun, 10 Jan 2016 02:26:44 +0000

python-networkx (1.10-1) experimental; urgency=medium

  [ Sandro Tosi ]
  * New upstream release (Closes: #800431).

  [ Thomas Goirand ]
  * Move to Build-Depends: what was in Build-Depends-Indep: but which is needed
    for the clean target.
  * Dropped version of packages for those already provided in Jessie.
  * Removed now useless python-3.4.patch patch from Chuck Short.
  * Removed do-not-use-sphinx_rtd_theme.patch patch. Build-Depends on the
    python-sphinx-rtd-theme package instead.
  * Exclude tests which are doing internet access and failing.
  * Do not rename non-existing README file.

 -- Thomas Goirand <zigo@debian.org>  Wed, 02 Sep 2015 13:17:15 +0000

python-networkx (1.9.1-1) experimental; urgency=medium

  * New upstream release
  * debian/watch
    - use PyPI redirector
  * debian/rules
    - remove the get-orig-src crap
  * debian/copyright
    - extend packaging copyright years
    - drop unused paragraph
  * debian/control
    - update Homepage field
    - bump Standards-Version to 3.9.6 (no changes needed)
    - set me as Maintainer, team as Uploaders
  * debian/patches/using-local-mathjax.js.patch
    - updated to new upstream code

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Apr 2015 17:38:17 +0100
