=== debian/control ===
Source: python-networkx
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
Build-Depends: debhelper (>= 7.0.50~),
               dh-python,
               python-all,
               python-setuptools,
               python-sphinx,
               python3-all,
               python3-setuptools,
               python3-decorator,
Build-Depends-Indep: python-decorator,
                     python-nose,
                     python-numpy,
                     python-pydotplus,
                     python-sphinx-rtd-theme,
                     python3-nose,
                     python3-numpy,
                     python3-pydotplus,
                     texlive-binaries,
                     texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra,
                     texlive-latex-recommended,
                     zip,
Standards-Version: 3.9.6
Homepage: http://networkx.github.io/
Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-networkx.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-networkx.git

Package: python-networkx
Architecture: all
Depends: ${misc:Depends},
         ${python:Depends},
Recommends: python-numpy,
            python-pkg-resources,
            python-yaml,
Suggests: python-matplotlib,
          python-pydotplus,
          python-scipy,
          python-pygraphviz | python-pydot,
Description: tool to create, manipulate and study complex networks
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.

Package: python3-networkx
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-lib2to3,
Recommends: python3-numpy,
            python3-pkg-resources,
            python3-yaml,
Suggests: python3-pydotplus,
          python3-scipy,
Description: tool to create, manipulate and study complex networks (Python3)
 NetworkX is a Python-based package for the creation, manipulation, and
 study of the structure, dynamics, and functions of complex networks.
 .
 The structure of a graph or network is encoded in the edges (connections,
 links, ties, arcs, bonds) between nodes (vertices, sites, actors). If
 unqualified, by graph it's meant a simple undirected graph, i.e. no
 self-loops and no multiple edges are allowed. By a network it's usually
 meant a graph with weights (fields, properties) on nodes and/or edges.
 .
 The potential audience for NetworkX includes: mathematicians, physicists,
 biologists, computer scientists, social scientists.
 .
 This package contains the Python 3 version of NetworkX.
