## python-networkx 2.1

=== debian/changelog ===
python-networkx (2.1-1ubuntu2) cosmic; urgency=medium

  * Move python*-pkg-resources to real dependencies, needed to run the
    python-cov testsuite (drawing/nx_pydot.py subpackage)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jun 2018 17:10:11 +0200

python-networkx (2.1-1ubuntu1) cosmic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't build the -doc package; too many dependencies in universe.
    - Lower Recommends to Suggests for some universe packages.
    - Build-depend on python3-decorator.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 27 Jun 2018 12:04:40 +0200

python-networkx (2.1-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release; Closes: #888458
    - references to lib2to3 have been removed upstream; Closes: #893697
  * debian/control
    - revert useless changes performed without any kind of coordination,
      preserving only the bump to Standard-Version: 3.9.8, which was not
      metioned in the changelog (and not formally released)
    - add gdal to b-d and d
    - add latexmk to b-d, needed to build doc and fix a FTBFS with sphinx 1.6;
      Closes: #872241
    - bump Standards-Version to 4.1.4 (no changes needed)
    - add ipykernel, nb2plots, nbformat, nbconvert, sphinx-gallery, traitlets
      to b-d-i, needed to build doc
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * refresh patches
  * debian/patches/0003-README.txt-to-examples-needed-by-sphinx-while-buildi.patch
    - add the missing README.txt to the examples directory
  * debian/rules
    - delete files removals line no longer needed
    - update location for upstream changelog
  * debian/patches/0004-add-copybutton.js.patch
    - add required copybutton.js file
  * debian/python.org_objects.inv,debian/scipy.org_numpy_objects.inv
    - update intersphinx doc
  * debian/patches/0005-use-debian-mathjax.js.patch
    - use MathJax.js as provided by libjs-mathjax in Debian
  * debian/python-networkx-doc.doc-base
    - update doc-base to refer to index.html as doc entry point
  * debian/patches/0006-skip-plot_football-from-sphinx-gallery-requires-netw.patch
    - plot_football.py requires network access, so skip it

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol
  * d/changelog: Remove trailing whitespaces

 -- Sandro Tosi <morph@debian.org>  Thu, 07 Jun 2018 18:18:28 -0400

python-networkx (1.11-2) UNRELEASED; urgency=medium

  * Team upload

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Andreas Tille ]
  * pngmath conflicts with some other shinx tool - drop it
    Closes: #832855
  * Add missing Build-Depends
  * debhelper 9
  * cme fix dpkg-control
  * fix another shebang

 -- Andreas Tille <tille@debian.org>  Sat, 06 Aug 2016 17:50:20 +0200
