=== debian/control ===
--- 
+++ 
@@ -3,44 +3,62 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
-Build-Depends: debhelper (>= 7.0.50~),
+Build-Depends: debhelper (>= 9),
                dh-python,
+	       latexmk,
                python-all,
                python-setuptools,
                python-sphinx,
                python3-all,
+               python3-decorator,
                python3-setuptools,
-               python3-decorator,
-Build-Depends-Indep: python-decorator,
+Build-Depends-Indep: dvipng,
+                     python-ipykernel,
+                     python-decorator,
+                     python-gdal,
+                     python-matplotlib,
+                     python-nb2plots,
+                     python-nbformat,
+                     python-nbconvert,
                      python-nose,
                      python-numpy,
-                     python-pydotplus,
+                     python-numpydoc,
+                     python-pydot,
+                     python-pygraphviz,
+                     python-scipy,
                      python-sphinx-rtd-theme,
+                     python-sphinx-gallery,
+                     python-traitlets,
+                     python3-gdal,
+                     python3-matplotlib,
                      python3-nose,
                      python3-numpy,
-                     python3-pydotplus,
+                     python3-scipy,
+                     python3-pygraphviz,
+                     python3-pydot,
                      texlive-binaries,
                      texlive-fonts-recommended,
                      texlive-latex-base,
                      texlive-latex-extra,
                      texlive-latex-recommended,
+                     texlive-generic-extra,
                      zip,
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://networkx.github.io/
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/python-networkx.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-networkx.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkx.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkx
 
 Package: python-networkx
 Architecture: all
 Depends: ${misc:Depends},
          ${python:Depends},
+         python-pkg-resources,
 Recommends: python-numpy,
-            python-pkg-resources,
             python-yaml,
-Suggests: python-matplotlib,
-          python-pydotplus,
-          python-scipy,
+Suggests: python-gdal,
+          python-matplotlib,
           python-pygraphviz | python-pydot,
+          python-scipy
 Description: tool to create, manipulate and study complex networks
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.
@@ -58,12 +76,11 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
-         python3-lib2to3,
-Recommends: python3-numpy,
-            python3-pkg-resources,
+         python3-pkg-resources,
+Recommends: python3-gdal,
+            python3-numpy,
             python3-yaml,
-Suggests: python3-pydotplus,
-          python3-scipy,
+Suggests: python3-scipy
 Description: tool to create, manipulate and study complex networks (Python3)
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.
