=== debian/changelog ===
python-networkx (2.2-1ubuntu1) disco; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Don't build the -doc package; too many dependencies in universe.
    - Lower Recommends to Suggests for some universe packages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Nov 2018 06:34:27 +0100

python-networkx (2.2-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Gianfranco Costamagna ]
  * debian/control
    - Move python*-pkg-resources to real dependencies, needed to run the
      python-cov testsuite (drawing/nx_pydot.py subpackage); Closes: #902540

  [ Sandro Tosi ]
  * New upstream release
  * debian/patch
    - refresh, remove patch merged upstream
  * debian/control
    - b-d on decorator >= 4.3.0
    - bump Standards-Version to 4.2.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Fri, 23 Nov 2018 17:21:28 -0500

python-networkx (2.1-1ubuntu4) disco; urgency=medium

  * python3-networkx: Suggest python3-gdal instead of recommending it.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Nov 2018 19:29:50 +0100

python-networkx (2.1-1ubuntu3) disco; urgency=medium

  * d/patches/0007-Fix-StopIteration-handling-which-breaks-in-python-3.7.patch:
    backport patch from upstream to improve compatibility with Python 3.7. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 06 Nov 2018 14:01:33 +1300
