=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-networkx
 Section: python
 Priority: optional
-Maintainer: Sandro Tosi <morph@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
 Build-Depends: debhelper (>= 9),
                dh-python,
@@ -14,7 +15,8 @@
                python3-setuptools,
 Build-Depends-Indep: dvipng,
                      python-ipykernel,
-                     python-decorator,
+                     python-decorator (>= 4.3.0),
+                     python3-decorator (>= 4.3.0),
                      python-gdal,
                      python-matplotlib,
                      python-nb2plots,
@@ -43,7 +45,7 @@
                      texlive-latex-recommended,
                      texlive-generic-extra,
                      zip,
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: http://networkx.github.io/
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-networkx.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-networkx
@@ -77,10 +79,9 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-pkg-resources,
-Recommends: python3-gdal,
-            python3-numpy,
+Recommends: python3-numpy,
             python3-yaml,
-Suggests: python3-scipy
+Suggests: python3-gdal, python3-scipy
 Description: tool to create, manipulate and study complex networks (Python3)
  NetworkX is a Python-based package for the creation, manipulation, and
  study of the structure, dynamics, and functions of complex networks.
