=== debian/rules ===
--- 
+++ 
@@ -50,6 +50,7 @@
 
 	# fix test shebang
 	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/tests/test.py
+	sed 's|/usr/bin/env python|/usr/bin/python3|' -i debian/python3-networkx/usr/lib/*/*-packages/networkx/generators/tests/test_random_graphs.py
 
 	# remove duplicate examples
 	rm -rf debian/python3-networkx/usr/share/doc/python-networkx
@@ -63,8 +64,6 @@
 override_dh_sphinxdoc_DISABLED:
 ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
 	(export MPLCONFIGDIR=. ; make -C doc dist PYTHONPATH=../$(LIB2))
-	# Do some cleanup: delete unneeded files:
-	rm $(DEBIANDOC_DIR)/INSTALL.txt $(DEBIANDOC_DIR)/LICENSE.txt
 
 	# install doc from dir 'dist', but rename it to 'html', better name
 	cp -auxf doc/build/dist debian/python-networkx-doc/usr/share/doc/python-networkx-doc/html
@@ -99,4 +98,4 @@
 	dh_compress -Xexamples/ -X.js -X.pdf -Xobjects.inv
 
 override_dh_installchangelogs:
-	dh_installchangelogs doc/source/reference/news.rst
+	dh_installchangelogs doc/news.rst
